$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.136.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.136.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C2500447CACBFEA8512C5C273818110D827BCF42DA926D1185124D3DBFD3D610'
  checksumType = 'sha256'
  checksum64 = 'C2500447CACBFEA8512C5C273818110D827BCF42DA926D1185124D3DBFD3D610'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.136-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
